{
  "format_version": "1.8.0",
  "minecraft:attachable": {
    "description": {
      "identifier": "oct_db:insulated_diamond_leggings",
      "materials": {
        "insulation": "armor",
        "default": "armor",
        "enchanted": "armor_enchanted"
      },
      "textures": {
        "default": "textures/models/armor/diamond_2",
        "enchanted": "textures/misc/enchanted_actor_glint",
        "insulation": "textures/octovon/db/armor/insulation_2"
      },
      "geometry": {
        "default": "geometry.humanoid.armor.leggings",
        "insulation": "geometry.oct_db.armor.insulation_leggings"
      },
      "scripts": {
        "parent_setup": "variable.chest_layer_visible = 0.0;"
      },
      "render_controllers": [
        "controller.render.armor",
        "controller.render.oct_db.insulated_armor"
      ]
    }
  }
}